package com.prolog.cs.base.gsp.service.impl.eis;

import com.prolog.cs.base.gsp.service.MqGspProducer;
import com.prolog.entity.dto.QueryContainerPositionDTO;
import com.prolog.entity.vo.*;
import com.prolog.inte.EisHandler;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Slf4j
@Service
public class EisGspHandler implements EisHandler {

    @Resource
    private MqGspProducer producer;


    /**
     * 出库任务推送
     */
    @Override
    public void outBoundRequest(List<OutBoundRequestVO> list) {
        producer.outBoundRequest(list);
    }



    /**
     * 作业完成确认
     */
    @Override
    public void operationComplete(List<OperationCompleteVO> list) {
        producer.operationComplete(list);
    }

    /**
     * 盘点审核信息推送
     */
    @Override
    public void inventoryAudit(List<InventoryAuditVO> list) {
        throw new UnsupportedOperationException();
    }

    /**
     * 托盘库存点位查询接口
     */
    @Override
    public List<QueryContainerPositionDTO> queryContainerPosition(QueryContainerPositionVO vo) {
        throw new UnsupportedOperationException();
    }

    /**
     * 盘点库存锁定
     */
    @Override
    public void inventoryLock(List<InventoryLockVO> list) {
        throw new UnsupportedOperationException();
    }

    /**
     * 容器借道下发
     */
    @Override
    public void containerTailgatingRequest(List<ContainerTailgatingRequestVO> list) {
        throw new UnsupportedOperationException();
    }
}
